Skip to main content

Verify PVC Captcha

POST 

https://api.knoxstudio.ai/v1/voices/pvc/:voice_id/captcha

recording is required. Not billed.

Request​

Path Parameters​

NameTypeRequiredDescription
voice_idStringYesVoice ID.

Request Headers​

NameTypeRequiredDescription
AuthorizationStringYesBearer <token> Knox API key. xi-api-key is also accepted.
Content-TypeStringYesmultipart/form-data

Request Body​

NameTypeRequiredDescription
recordingFileYesAudio recording of the user speaking the captcha.

cURL Example​

curl -X POST https://api.knoxstudio.ai/v1/voices/pvc/voice_id/captcha \
-H "Authorization: Bearer $KNOXCHAT_API_KEY" \
-F "recording=@captcha.wav"

Response​

Success Response (200)​

Verification result JSON.

Error Responses​

Validation uses HTTP 422:

{
"detail": [
{
"loc": ["body", "field"],
"msg": "…",
"type": "value_error"
}
]
}

Other errors use { "detail": "message" }.

StatusWhen
400WebSocket path called without Upgrade: websocket.
401Missing or invalid API key.
402Insufficient credits.
403Token is not allowed to use this model.
404Resource not found.
422Validation error.
429Rate limit exceeded.
500Internal server error.